## libxtrxll 0.0.1%2Bgit20201202.1b6eddf

=== debian/changelog ===
libxtrxll (0.0.1+git20201202.1b6eddf-1) unstable; urgency=low

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

  [ Christoph Berg ]
  * New upstream version.
  * 50-xtrx-usb3380.rules: Group usb does not exist, use plugdev instead.
    (Closes: #1001608)

  [ Vagrant Cascadian ]
  * Use a relative path for RPATH. (Closes: #1003370)

 -- Christoph Berg <myon@debian.org>  Wed, 09 Nov 2022 10:26:52 +0100

libxtrxll (0.0.1+git20191021.3229d65-1) unstable; urgency=medium

  * Initial release (Closes: #945153)

 -- Sepi Gair <sepigair@email.cz>  Fri, 29 Nov 2019 14:53:10 +0100
