=== debian/control ===
Source: libxtrxll
Priority: optional
Maintainer: Sepi Gair <sepigair@email.cz>
Build-Depends: debhelper-compat (= 12), cmake, libusb-1.0-0-dev, libusb3380-dev
Standards-Version: 4.4.1
Section: libs
Homepage: https://github.com/xtrx-sdr/libxtrxll
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/libxtrxll
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/libxtrxll.git

Package: libxtrxll-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libxtrxll0 (= ${binary:Version}), ${misc:Depends}
Description: Low-level XTRX hardware abstraction library: development
 This package is part of the library set for XTRX support.
 .
 XTRX is the smallest easily embeddable software-defined radio (SDR). It is
 both affordable and high-performance. XTRX is designed to enable the next
 generation of wireless solutions, from prototype to production.
 .
 This package contains development files.

Package: libxtrxll0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xtrx-dkms
Description: Low-level XTRX hardware abstraction library
 This package is part of the library set for XTRX support.
 .
 XTRX is the smallest easily embeddable software-defined radio (SDR). It is
 both affordable and high-performance. XTRX is designed to enable the next
 generation of wireless solutions, from prototype to production.
 .
 This package contains the shared libraries and utilities for testing them.
