=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
		-DXTRXLL_STATIC=OFF

override_dh_installudev:
	cp mod_usb3380/udev/50-xtrx-usb3380.rules debian/libxtrxll0.udev
	dh_installudev --priority=50

override_dh_clean:
	rm -f debian/libxtrxll0.udev
	dh_clean
