=== debian/changelog ===
libxtrxll (0.0.1+git20201202.1b6eddf-1.2deepin1) unstable; urgency=medium

  * revert t64

 -- Chang Yang <yangchang@deepin.org>  Tue, 22 Jul 2025 11:49:04 +0800

libxtrxll (0.0.1+git20201202.1b6eddf-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062737

 -- Graham Inggs <ginggs@debian.org>  Wed, 28 Feb 2024 21:07:30 +0000

libxtrxll (0.0.1+git20201202.1b6eddf-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move udev files from /lib to /usr/lib, including protective diversion
    against Multi-Arch: same file loss scenario (DEP17 P7 M10).
    (Closes: #1056925).

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 26 Nov 2023 20:43:51 +0100
