=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: libxtrxll
 Priority: optional
 Maintainer: Sepi Gair <sepigair@email.cz>
-Build-Depends: debhelper-compat (= 12), cmake, libusb-1.0-0-dev, libusb3380-dev
-Standards-Version: 4.4.1
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12), cmake, libusb-1.0-0-dev, libusb3380-dev
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://github.com/xtrx-sdr/libxtrxll
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/libxtrxll
